# BONELAB Fusion
Having been in development for 5 months, the long awaited multiplayer mod FUSION for BONELAB is here.<br>

![](https://i.imgur.com/1ZpMfei.png)

# Installation
## How To Install (PCVR)
1. Make sure you are on BONELAB Patch 3. This is the "public beta" branch.
2. Install MelonLoader (0.5.7 required).
3. Install BoneLib.
4. Download Fusion and drag the LabFusion.dll file into your MelonLoader Mods folder. This is not to be confused with the SLZ official mods folder.
5. Drag the LabFusionUpdater.dll file into your MelonLoader Plugins folder. This will automatically update the mod for you.
5. Make sure you have Steam installed and running.
6. You're done!

## How To Install (Quest)
1. Make sure you are on BONELAB Patch 3. This is the "public beta" branch.
2. Install LemonLoader (latest version required).
3. Install BoneLib.
4. Download Fusion and drag the LabFusion.dll file into your Mods folder. Ignore the LabFusionUpdater.dll file, it does not work on Quest.
5. Download FusionHelper on your PC ([available here](https://github.com/Lakatrazz/Fusion-Helper/releases/latest)). This will wirelessly connect to your Quest.
     - Note that the PC does not need to run BONELAB, or have good specifications.
6. Run Steam and FusionHelper on your PC.
     - Make sure to run these programs every time you play, and that your PC and Quest are on the same network.
     - Both programs are required as they handle networking the game between you and your friends.
7. Open BONELAB on your Quest.
8. You're done!

## Video Tutorials
- PCVR: https://youtu.be/wz-ERSaz8GU
- Quest: https://youtu.be/3dB_3g6CM9Q

# About
## How to Use the Mod
All of the functions of the mod can be found in BONEMENU under the tab "BONELAB Fusion". In order to make and join servers, use the Matchmaking tab. Starting or disconnecting from a server can be found in the "Server Info" tab.

## Physical Interactions
Instead of players and synced props being kinematic, non-physics objects, all interactions are solved using physical forces.<br>
This means you can pick up your friends, throw them, stand on them, push them, and more.

## Campaign Support
The entire campaign has been ensured completable, with nearly every custom event synced, as well as optimizations made to make the experience run as smoothly as possible.

## Supported Platforms
- SteamVR
- Oculus PCVR
- Oculus Quest

## Crossplay Support
All platforms are able to crossplay together. In order to do so, you simply have to select the same "Networking Layer" in BONEMENU and restart the game. The option is under BONELAB Fusion -> Network Layer Manager -> Target Layer. Note that some layers may be unsupported on some platforms.

# Additional Content
## Modules, Gamemodes, and the Bitmart
Fusion has integrated support to allow other mods to implement Fusion compatibility using "Modules". There is an SDK for Unity, allowing you to implement features while in multiplayer, as well as a code SDK in order to create unique synced features. You can find both of these [here](https://github.com/Lakatrazz/BONELAB-Fusion).

Besides that, Fusion also has integrated gamemodes. The current gamemodes are:
- Deathmatch, Free-for-all fighting!
- Team Deathmatch, Kill as many players on the opposite team!
- Entangled, Be constrained to a randomized partner!

Custom maps can implement these gamemodes, and customize them specifically for their map.

Finally, Fusion has built in cosmetics. Winning gamemodes will earn you Bits to use at the Bitmart. Here, you are able to equip/unequip as well as purchase items such as cosmetics. Other players will be able to see these cosmetics, and you can mix and match as you choose.

## Achievements
As an additional way to earn Bits, you can accomplish various tasks to complete Achievements. There are a large amount of Achievements, each with differing challenge, risk, and reward. Upon completing every achievement, you may even unlock some secret items!

# More
## Credits
You can view the most recent changes and credits in the in game info box in VoidG114.

## Source
- Fusion: https://github.com/Lakatrazz/BONELAB-Fusion
- Fusion Module Example: https://github.com/Lakatrazz/Fusion-Module-Example
- Fusion Helper: https://github.com/Lakatrazz/Fusion-Helper

## Soundtrack
You can listen to the Fusion official soundtrack here:

[![Soundtrack](https://i.imgur.com/ppUtaMd.png)](https://www.youtube.com/playlist?list=PLNifPIaAecBKTMlKSBYfeW81UZgNNfYe0)

## Footage

[![Launch Trailer](https://i.imgur.com/9qAdvsc.png)](https://www.youtube.com/watch?v=pVavphtfTd4)